<?php
class ProyectosAction extends wtActions
{
    public function execute()
    {
        LayoutTemplate::getInstance()->setUseBootstrap();
        
        $this->s_OrdenId  = $this->getRequestParameter( 'ord_id' );
        $this->s_OrdenNum = $this->getRequestParameter( 'ord_num' );

        if( $this->getRequestParameter( 'IdProyecto' ) )
        {
            $i_IdProyecto = $this->getRequestParameter( 'IdProyecto' );
        }

        if( !$this->getRequestParameter( 'IdProyecto' ) )
        {
            $o_VTA_OrdenFN       = new VTA_OrdenFN();
            $this->o_VTA_OrdenBN = $o_VTA_OrdenFN->selectByPK( $this->s_OrdenId );

            $i_IdProyecto = $this->o_VTA_OrdenBN->getIdProyecto();
        }


        $o_VTA_PrsProyectosFN = new VTA_PrsProyectosFN();
        $this->o_VTA_PrsProyectosBN = $o_VTA_PrsProyectosFN->selectByPK( $i_IdProyecto );
        
        if( !$this->o_VTA_PrsProyectosBN )
        {
            $this->o_VTA_PrsProyectosBN = new VTA_PrsProyectosBN();
        }
    }
}